@CHARSET "UTF-8";

/**
 * General
 */
.tx-hsmwcourseexplorer span.sprite {
    display: inline-block;
    width: 16px;
    height: 16px;
    vertical-align: text-bottom;
    margin: 0 5px 0 0;
}

/**
 * Search view
 */
.tx-hsmwcourseexplorer button {
    border: 1px solid #c0c0c0;
    background: none;
    color: #2a6bb7;
    font-size: 1.1em;
    padding: 2px 3px;
    min-width: 20px;
}

.tx-hsmwcourseexplorer button.selected {
    background: #2a6bb7;
    color: #fff;
    font-weight: bold;
}

.tx-hsmwcourseexplorer button:hover {
    background: #2a6bb7;
    color: #fff;
}

.tx-hsmwcourseexplorer input[type="submit"] {
    padding: 2px 5px !important;
}

#show-advanced-search {
    cursor: pointer;
    display: none;
}

#advanced-search {
    margin-top: 10px;
}

#advanced-search div {
    float: left;
    width: 130px;
    padding: 5px;
}

#advanced-search div label {
    display: none;
}

/**
 * List view
 */
#course-list-header h3 span,
#course-list-accordion h3 span {
    display: inline-block;
}

#course-list-accordion h3 span {
    font-size: 1.1em !important;
    vertical-align: middle;
}

.tx-hsmwcourseexplorer .course-name {
    width: 55%;
}

.tx-hsmwcourseexplorer .course-degree {
    width: 15%;
}

.tx-hsmwcourseexplorer .course-start {
    width: 10%;
}

.tx-hsmwcourseexplorer .course-type {
    width: 15%;
}

#course-list-accordion h3 {
    border: 1px solid #ccc;
    font-size: 100%;
    color: #555;
    background: #eaeaea;
    font-weight: normal;
    display: block;
    position: relative;
    margin-top: 2px;
    margin-bottom: 0px;
    padding: .5em .5em .5em;
    min-height: 0;
}

#course-list-accordion .course-name {
    padding-left: 1.5em;
}

#course-list-accordion div {
    padding: 1em 2.2em;
    border-top: 0;
    overflow: auto;
    border: 1px solid #ccc;
    display: none;
    height: auto !important;
}

#course-list-accordion div p {
    margin-top: 5px;
}


/**
 * partial details
 */
.tx-hsmwcourseexplorer table {
    border-collapse: separate;
    border-spacing: 1px;
    width: 100%;
}

.tx-hsmwcourseexplorer table tr.white td {
    background-color: #F1F2F4;
}

.tx-hsmwcourseexplorer table tr.grey td {
    background-color: #EAEAEA;
}

.tx-hsmwcourseexplorer td.RowIdentifier,
.tx-hsmwcourseexplorer td.RowValue {
    padding: 2px 10px;
}

.tx-hsmwcourseexplorer td.RowIdentifier {
    background-color: #EAEAEA;
    font-weight: bold;
    color: #555;
    width: 25%;
}

.tx-hsmwcourseexplorer td.RowValue {
    background-color: #F1F2F4;
    color: #333;
    width: 75%;
}

.tx-hsmwcourseexplorer td.RowValue a {
    color: #777;
}

.tx-hsmwcourseexplorer tr.odd td {
    background-color: #F1F2F4;
}

.tx-hsmwcourseexplorer tr.even td {

}

/**
 * partial legend
 */
.course-legend {
    padding: 5px;
}

.course-legend h4 {
    margin: 5px;
}

.course-legend-inner-wrap {
    border: 1px solid #c0c0c0;
    background-color: #fff;
    padding: 5px;
    position: absolute;
    display: none;
    z-index: 80;
}

.course-legend-inner-wrap div div {
    float: left;
    margin: 5px;
    font-weight: normal;
    color: #000;
    font-size: 0.9em;
}

.top-course-legend {
    padding: 5px;
    margin-bottom: 20px;
}

.top-course-legend .legend-item {
    width: 25%;
    float: left;
}
